Go to the first, previous, next, last section, table of contents.

### `struct_type`

`struct_type(name|object)`
  :: Get an identity number of the structure of object and name.

return
  an integer
name
  string
object
  a structure

- `struct_type()` returns an identity number of the structure or -1 (if an error occurs).

    [10] struct list {h,t};
    0
    [11] A=newstruct(list);
    {0,0}
    [12] struct_type(A);
    3
    [13] struct_type("list");
    3

`References`
  section `newstruct`, section structure definition

Go to the first, previous, next, last section, table of contents.